#include <bits/stdc++.h>

using namespace std;

int main(){

    int n; 
    cin >> n; 
    vector<int> a(n); 
    vector<int> b(n); 

    for (int i = 0; i < n; i++) { 
        cin >> a[i]; 
    } 

    for (int i = 0; i < n; i++) { 
        cin >> b[i]; 
    } 

    int maxe = 0;  

    for (int l = 0; l < n; l++) { 
        int Suma = 0; 
        int Proizvod = b[l]; 

        for (int r = l; r < n; r++) { 
            Suma ^= a[r]; 
            Proizvod &= b[r]; 
            int tr = Suma * Proizvod; 
            maxe = max(maxe, tr); 
            } 
        } 
        
        cout << maxe << endl;

    return 0;
}